Subject: RE: Inhibit password
From: "Churchill, Dan (MN65)" <[email-masked]>
To: "'Rhomer L Oliveira Jr'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 7 Nov 2001 11:26:36 -0600

See comments below...

> -----Original Message-----
> From: Rhomer L Oliveira Jr [mailto:[email-masked]]
> Sent: Wednesday, November 07, 2001 12:09 PM
> To: Corinna Vinschen
> Subject: Re: Inhibit password
> 
> 
> That was an example of as the UNIX this if connecting in the 
> NT, they put
> appears the same message
>  when I use the connection through CYGWIN. 
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
This makes little if any sense to me.

> See the example:
> 
> C:\>ssh administrador@pc21901
> Could not create directory '/home/ssd6912/.ssh'.
> The authenticity of host 'pc21901 (172.18.35.214)' can't be 
> established.
> DSA key fingerprint is 
> 99:a0:3e:81:2b:47:eb:4f:50:45:67:74:e6:57:fb:40.
> Are you sure you want to continue connecting (yes/no)? yes
> Failed to add the host to the list of known hosts
> (/home/ssd6912/.ssh/known_hosts2).
> This is an evaluation version of the SSH Secure Shell Windows Server.
> The evaluation version expires on Fri Nov 30 2001)
> administrador@pc21901's password:
> Microsoft Windows 2000 [VersÆo 5.00.2195]
> (C) Copyright 1985-2000 Microsoft Corp.
> 
> C:\Documents and Settings\Administrador>

Corinna's point, I think, was that the ssh client you are using is not the
ssh that ships with Cygwin, and so why are you asking about this here?

If you are trying to connect to an NT machine running sshd in Cygwin, it
might make sense for you to ask about it here.  In any case, if you want to
disallow people from connecting using password authentication, then you need
to spend some time in the documentation for the Secure Shell daemon that
you're attaching to and figure out how to restrict that with settings in the
sshd_config file (it can be done, though I don't know the exact setting).
If you don't want to *prevent* password authentication, but want to do host
& key-based authentication that doesn't require user interaction (e.g. for
running scripts executed by cron), then you need to make sure that you have
all the appropriate public/private key files in the correct places.  Again,
I suggest some time with the ssh documentation, whatever version of it you
are using.

Luck to you,
Dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/